Index: cpukit/score/cpu/arm/ChangeLog
===================================================================
--- cpukit/score/cpu/arm/ChangeLog	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/arm/ChangeLog	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -1,2 +1,7 @@
+2005-10-27	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* rtems/asm.h: Remove private version of CONCAT macros.
+	Include <rtems/concat.h> instead.
+
 2005-09-15	Jay Monkman <jtm@lopingdog.com>
 
Index: cpukit/score/cpu/arm/rtems/asm.h
===================================================================
--- cpukit/score/cpu/arm/rtems/asm.h	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/arm/rtems/asm.h	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -58,8 +58,5 @@
 #endif
 
-/* ANSI concatenation macros.  */
-
-#define CONCAT1(a, b) CONCAT2(a, b)
-#define CONCAT2(a, b) a ## b
+#include <rtems/concat.h>
 
 /* Use the right prefix for global labels.  */
Index: cpukit/score/cpu/avr/ChangeLog
===================================================================
--- cpukit/score/cpu/avr/ChangeLog	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/avr/ChangeLog	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -1,2 +1,7 @@
+2005-10-27	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* rtems/asm.h: Remove private version of CONCAT macros.
+	Include <rtems/concat.h> instead.
+
 2005-02-19	Ralf Corsepius <ralf.corsepius@rtems.org>
 
Index: cpukit/score/cpu/avr/rtems/asm.h
===================================================================
--- cpukit/score/cpu/avr/rtems/asm.h	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/avr/rtems/asm.h	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -54,8 +54,5 @@
 #endif
 
-/* ANSI concatenation macros.  */
-
-#define CONCAT1(a, b) CONCAT2(a, b)
-#define CONCAT2(a, b) a ## b
+#include <rtems/concat.h>
 
 /* Use the right prefix for global labels.  */
Index: cpukit/score/cpu/c4x/ChangeLog
===================================================================
--- cpukit/score/cpu/c4x/ChangeLog	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/c4x/ChangeLog	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -1,2 +1,7 @@
+2005-10-27	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* rtems/asm.h: Remove private version of CONCAT macros.
+	Include <rtems/concat.h> instead.
+
 2005-02-08	Ralf Corsepius <ralf.corsepius@rtems.org>
 
Index: cpukit/score/cpu/c4x/rtems/asm.h
===================================================================
--- cpukit/score/cpu/c4x/rtems/asm.h	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/c4x/rtems/asm.h	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -54,8 +54,5 @@
 #endif
 
-/* ANSI concatenation macros.  */
-
-#define CONCAT1(a, b) CONCAT2(a, b)
-#define CONCAT2(a, b) a ## b
+#include <rtems/concat.h>
 
 /* Use the right prefix for global labels.  */
Index: cpukit/score/cpu/h8300/ChangeLog
===================================================================
--- cpukit/score/cpu/h8300/ChangeLog	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/h8300/ChangeLog	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -1,2 +1,7 @@
+2005-10-27	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* rtems/asm.h: Remove private version of CONCAT macros.
+	Include <rtems/concat.h> instead.
+
 2005-02-19	Ralf Corsepius <ralf.corsepius@rtems.org>
 
Index: cpukit/score/cpu/h8300/rtems/asm.h
===================================================================
--- cpukit/score/cpu/h8300/rtems/asm.h	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/h8300/rtems/asm.h	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -56,8 +56,5 @@
 #endif
 
-/* ANSI concatenation macros.  */
-
-#define CONCAT1(a, b) CONCAT2(a, b)
-#define CONCAT2(a, b) a ## b
+#include <rtems/concat.h>
 
 /* Use the right prefix for global labels.  */
Index: cpukit/score/cpu/i386/ChangeLog
===================================================================
--- cpukit/score/cpu/i386/ChangeLog	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/i386/ChangeLog	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -1,2 +1,7 @@
+2005-10-27	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* rtems/asm.h: Remove private version of CONCAT macros.
+	Include <rtems/concat.h> instead.
+
 2005-02-08	Ralf Corsepius <ralf.corsepius@rtems.org>
 
Index: cpukit/score/cpu/i386/rtems/asm.h
===================================================================
--- cpukit/score/cpu/i386/rtems/asm.h	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/i386/rtems/asm.h	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -65,11 +65,5 @@
 */
 
-/* ANSI concatenation macros.  */
-
-#define CONCAT1(a, b) CONCAT2(a, b)
-#define CONCAT2(a, b) a ## b
-
-#define EVAL(x) x
-#define CONCAT0(a, b) EVAL(a)EVAL(b)
+#include <rtems/concat.h>
 
 /* Use the right prefix for global labels.  */
Index: cpukit/score/cpu/m68k/ChangeLog
===================================================================
--- cpukit/score/cpu/m68k/ChangeLog	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/m68k/ChangeLog	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -1,2 +1,7 @@
+2005-10-27	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* rtems/asm.h: Remove private version of CONCAT macros.
+	Include <rtems/concat.h> instead.
+
 2005-06-07	Brett Swimley <brett.swimley@aedbozeman.com>
 
Index: cpukit/score/cpu/m68k/rtems/asm.h
===================================================================
--- cpukit/score/cpu/m68k/rtems/asm.h	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/m68k/rtems/asm.h	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -54,11 +54,5 @@
 #endif
 
-/* ANSI concatenation macros.  */
-
-#define CONCAT1(a, b) CONCAT2(a, b)
-#define CONCAT2(a, b) a ## b
-
-#define EVAL(x) x
-#define CONCAT0(a, b) EVAL(a)EVAL(b)
+#include <rtems/concat.h>
 
 /* Use the right prefix for global labels.  */
Index: cpukit/score/cpu/mips/ChangeLog
===================================================================
--- cpukit/score/cpu/mips/ChangeLog	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/mips/ChangeLog	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -1,2 +1,7 @@
+2005-10-27	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* rtems/asm.h: Remove private version of CONCAT macros.
+	Include <rtems/concat.h> instead.
+
 2005-04-26	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/cpu/mips/rtems/asm.h
===================================================================
--- cpukit/score/cpu/mips/rtems/asm.h	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/mips/rtems/asm.h	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -55,8 +55,5 @@
 #endif
 
-/* ANSI concatenation macros.  */
-
-#define CONCAT1(a, b) CONCAT2(a, b)
-#define CONCAT2(a, b) a ## b
+#include <rtems/concat.h>
 
 /* Use the right prefix for global labels.  */
Index: cpukit/score/cpu/no_cpu/ChangeLog
===================================================================
--- cpukit/score/cpu/no_cpu/ChangeLog	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/no_cpu/ChangeLog	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -1,2 +1,7 @@
+2005-10-27	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* rtems/asm.h: Remove private version of CONCAT macros.
+	Include <rtems/concat.h> instead.
+
 2005-02-08	Ralf Corsepius <ralf.corsepius@rtems.org>
 
Index: cpukit/score/cpu/no_cpu/rtems/asm.h
===================================================================
--- cpukit/score/cpu/no_cpu/rtems/asm.h	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/no_cpu/rtems/asm.h	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -54,8 +54,5 @@
 #endif
 
-/* ANSI concatenation macros.  */
-
-#define CONCAT1(a, b) CONCAT2(a, b)
-#define CONCAT2(a, b) a ## b
+#include <rtems/concat.h>
 
 /* Use the right prefix for global labels.  */
Index: cpukit/score/cpu/powerpc/ChangeLog
===================================================================
--- cpukit/score/cpu/powerpc/ChangeLog	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/powerpc/ChangeLog	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -1,2 +1,7 @@
+2005-10-27	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* rtems/asm.h: Remove private version of CONCAT macros.
+	Include <rtems/concat.h> instead.
+
 2005-05-06      Jennifer Averett <jennifer.averett@oarcorp.com>
 
Index: cpukit/score/cpu/powerpc/rtems/asm.h
===================================================================
--- cpukit/score/cpu/powerpc/rtems/asm.h	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/powerpc/rtems/asm.h	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -65,8 +65,5 @@
 #endif
 
-/* ANSI concatenation macros.  */
-
-#define CONCAT1(a, b) CONCAT2(a, b)
-#define CONCAT2(a, b) a ## b
+#include <rtems/concat.h>
 
 /* Use the right prefix for global labels.  */
Index: cpukit/score/cpu/sh/ChangeLog
===================================================================
--- cpukit/score/cpu/sh/ChangeLog	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/sh/ChangeLog	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -1,2 +1,7 @@
+2005-10-27	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* rtems/asm.h: Remove private version of CONCAT macros.
+	Include <rtems/concat.h> instead.
+
 2005-02-19	Ralf Corsepius <ralf.corsepius@rtems.org>
 
Index: cpukit/score/cpu/sh/rtems/asm.h
===================================================================
--- cpukit/score/cpu/sh/rtems/asm.h	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/sh/rtems/asm.h	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -70,8 +70,5 @@
 #endif
 
-/* ANSI concatenation macros.  */
-
-#define CONCAT1(a, b) CONCAT2(a, b)
-#define CONCAT2(a, b) a ## b
+#include <rtems/concat.h>
 
 /* Use the right prefix for global labels.  */
Index: cpukit/score/cpu/sparc/ChangeLog
===================================================================
--- cpukit/score/cpu/sparc/ChangeLog	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/sparc/ChangeLog	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -1,2 +1,7 @@
+2005-10-27	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* rtems/asm.h: Remove private version of CONCAT macros.
+	Include <rtems/concat.h> instead.
+
 2005-02-08	Ralf Corsepius <ralf.corsepius@rtems.org>
 
Index: cpukit/score/cpu/sparc/rtems/asm.h
===================================================================
--- cpukit/score/cpu/sparc/rtems/asm.h	(revision 585cba912ef9ea4790724f5d408c3e425d10a447)
+++ cpukit/score/cpu/sparc/rtems/asm.h	(revision c6ea319b12e225dbf795daac10a6003966919bea)
@@ -56,8 +56,5 @@
 #endif
 
-/* ANSI concatenation macros.  */
-
-#define CONCAT1(a, b) CONCAT2(a, b)
-#define CONCAT2(a, b) a ## b
+#include <rtems/concat.h>
 
 /* Use the right prefix for global labels.  */
